package ru.yandex.qe.bus.factories.client;

import org.springframework.beans.factory.FactoryBean;

public class BusClientBuilderBean extends BusClientBuilder implements FactoryBean {

    @Override
    public Object getObject() throws Exception {
        return build();
    }

    @Override
    public Class<?> getObjectType() {
        return getServiceClass();
    }

    @Override
    public boolean isSingleton() {
        return true;
    }
}
